# $Revision: 1.6 $, $Date: 2008/07/14 12:22:44 $
#
# Conditional build:
%bcond_without	tests		# build without tests
#
Summary:	Tool to automatically collect and submit kernel crash signatures
Name:		kerneloops
Version:	0.11
Release:	2
License:	GPL v2
Group:		Base/Kernel
URL:		http://www.kerneloops.org
Source0:	http://www.kerneloops.org/download/%{name}-%{version}.tar.gz
# Source0-md5:	a0daa9437f0638912a91afe66f51545b
Source1:	%{name}.init
Source2:	%{name}.sysconfig
BuildRequires:	curl-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	desktop-file-utils
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel
BuildRequires:	libnotify-devel
BuildRequires:	rpmbuild(macros) >= 1.268
%if %{with tests}
BuildRequires:	valgrind
%endif
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains the tools to collect kernel crash signatures,
and to submit them to the kerneloops.org website where the kernel
crash signatures get collected and grouped for presentation to the
Linux kernel developers.

%prep
%setup -q

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -DDBUS_API_SUBJECT_TO_CHANGE"

%{?with_tests:%{__make} tests}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/%{name}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name}
%service %{name} restart

%preun
if [ "$1" = "0" ]; then
	%service %{name} stop
	/sbin/chkconfig --del %{name}
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc Changelog
%attr(755,root,root) %{_sbindir}/%{name}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/kerneloops.conf
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}
/etc/dbus-1/system.d/kerneloops.dbus
%{_sysconfdir}/xdg/autostart/kerneloops-applet.desktop
%{_datadir}/kerneloops
%attr(755,root,root) %{_bindir}/kerneloops-applet
%{_mandir}/man8/kerneloops.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kerneloops.spec,v $
Revision 1.6  2008/07/14 12:22:44  paszczus
- rel 2

Revision 1.5  2008/07/14 12:18:47  glen
- BR valgrind for tests
- fix build with dbus 0.62

Revision 1.4  2008/07/14 12:17:13  paszczus
- added Source2: kerneloops.sysconfig

Revision 1.3  2008/07/14 12:12:54  glen
- %service deps, missing buildroot

Revision 1.2  2008/05/25 11:37:25  arekm
- rel 1.1; it's unfinished

Revision 1.1  2008-05-24 08:36:38  arekm
- almost raw
